Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362574 - [RFE] HC setup requires roll-back or recovery mechanism in case of failure
Summary: [RFE] HC setup requires roll-back or recovery mechanism in case of failure
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Sachidananda Urs
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 14:30 UTC by SATHEESARAN
Modified: 2018-04-16 18:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 18:17:25 UTC


Attachments (Terms of Use)

Description SATHEESARAN 2016-08-02 14:30:01 UTC
Description of problem:
-----------------------
HC installation is done using gdeploy with the standard configuration.
The problem is that when there is a failure, all the changes made so far are not rolled back.
When gdeploy is run again, it leads to problems.

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
gdeploy-2.0-16

How reproducible:
-----------------
NA

Steps to Reproduce:
-------------------
NA

Actual results:
---------------
There is no way to recover the machines to the initial state post failure.

Expected results:
-----------------
There should be a way to recover the machines to the initial state

Comment 2 SATHEESARAN 2016-08-02 14:42:49 UTC
In the case of re-running the gdeploy configuration, you will end up in few problems

1. File related problems
 - Files edited multiple times
 - Files are already renamed and ending up in file not found errors

2. Volumes related errors
 - Volume already created
 - Volume options already set
 - Volume set options failing as the volumes not found


3. PV, VG, LV, thinpool
 Creation of these components will have conflict

Comment 3 SATHEESARAN 2016-08-11 08:42:18 UTC
Updating the bug with the relevant information.

1. Sac showed us the where the file doesn't gets updated multiple changes with the new set of changes.

2. Sac has come up with few set of changes that will solve other problems,
but roll-back feature is not possible with gdeploy installation.

Solution could be that we can probably come up with the cleanup conf file

Comment 4 SATHEESARAN 2016-09-27 06:13:24 UTC
This bug is highly required improvement for RHGS 3.2.0.
Sac also worked on it and demo-ed us with the modified version of gdeploy.

Could we target this for RHGS 3.2.0 ?

Comment 5 Sachidananda Urs 2016-10-24 11:29:42 UTC
sas, we can come up with a clean up config file. However, I suggest we sit together and come up with a list of possible things that can be done.

Maybe split the bug for the ones we can't do in 3.2.0.

Comment 6 SATHEESARAN 2016-11-03 08:51:17 UTC
(In reply to Sachidananda Urs from comment #5)
> sas, we can come up with a clean up config file. However, I suggest we sit
> together and come up with a list of possible things that can be done.
> 
> Maybe split the bug for the ones we can't do in 3.2.0.

Sac,

clean up script is not the high severity, but the other requirement on not over-writing the config file is.

I will come up with a bug ( if required ) for the cleanup section. Treat this bug for the second issue


Note You need to log in before you can comment on or make changes to this bug.